# &kde;-Benutzerhandbuch

Waldo
Bastian

    bastian@kde.org

Mario
Weilguni

    mweilguni@sime.com

Lubos
Lunak

    l.lunak@kde.org

2008-10-03
0.01.01
kdeinit4
8

# `kdeinit4`

&kde;-Prozess-Starter

## Synopsis

    kdeinit4 --help  --no-fork --no-kded --suicide   +programs programs

## Beschreibung

kdeinit4 ist ein Prozess-Starter, ähnlich dem Programm `init` zum Starten von UNIX. Es führt &kde;-Programme und ladbare kdeinit-Module (KLMs) auf effiziente Weise aus.

Wenn Sie kdeinit4 zum Starten von &kde;-Anwendungen verwenden, wird der Anwendungsstart um ein vielfaches Beschleunigt und der Speicherverbrauch stark vermindert.

kdeinit4 ist mit allen Bibliotheken verlinkt, die eine typische &kde;-Anwendung benötigt. Mit dieser Technik ist es möglich, den Anwendungsstart um ein Vielfaches zu beschleunigen, weil nun nur noch die Anwendung selbst verlinkt werden muss und nicht mehr alle benötigten Bibliotheken.

## Nachteile

Der Prozessname von allen Anwendungen, die mit kdeinit4 gestartet werden, lautet einheitlich kdeinit4. Dieses Problem kann teils behoben werden, indem man den Anwendungsnamen ändert, so wie er von `ps` angezeigt wird. Jedoch werden Werkzeuge wie `killall` weiterhin nur kdeinit4 als Prozessname sehen. Um diesem Problem zu begegnen, können Sie das Proramm `kdekillall` aus kdesdk/scripts verwenden, um von kdeinit4 gestartete Anwendungen zu beenden.

## Optionen

`--help`

  Hilfe zu verfügbaren Optionen anzeigen.

`--no-fork`

  Stellt das Programm nicht in den Hintergrund. D. h. es wird nicht beendet, solange noch ausgeführte Programme ausgeführt werden.

`--no-kded`

  kded nicht starten

`--suicide`

  Beendet sich automatisch selbst, wenn keine weiteren KDE-Programme mehr ausgeführt werden.

`+programs`

  Führt das Programm aus, und wird dabei Anfragen bearbeiten.

`programs`

  Führt das Programm aus, ohne Anfragen zu bearbeiten.

## Benutzung

Ein Standard-Aufruf für dieses Programm sieht so aus: ``kdeinit4` program` oder ``kdeinit4` +program`.

## Dateien

`/tmp/kde-$USER/kdeinit4_$INSTANCE`

  ...

## Umgebungsvariablen

$`HOME`

  Gibt den persönlichen Ordner des aktuellen Benutzers an.

$`KDE_HOME_READONLY`

  Gibt an, ob der persönliche Ordner des aktuellen Benutzers nur lesbar ist.

$`KDE_IS_PRELINKED`

  Mit Hilfe dieser Variable wird kdeinit4 darüber informiert, dass &kde;-Programme vor-verlinkt sind.

  (Vor-Verlinken ist eine Technik, mit der das dynamische Verlinken von Prozessen enorm beschleunigt werden kann.)

$`KDE_DISPLAY`

  Diese Variable teilt kdeinit4 mit, dass es in einer &kde;-Umgebung ausgeführt wird.

## Siehe auch

kded, kdekillall

## Fehler

Berichten Sie Fehler auf bugs.kde.org.